<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\Pivot;

/**
 * @OA\Schema(
 *   title="UserGame",
 *   type="object",
 *   @OA\Property(
 *     property="pivot",
 *     type="object",
 *     @OA\Property(type="integer", property="user_id"),
 *     @OA\Property(type="integer", property="game_id"),
 *     @OA\Property(type="integer", property="team_id"),
 *     @OA\Property(type="integer", property="rank"),
 *   )
 * )
 */
class UserGame extends Pivot
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'team_id',
        'rank',
        'elo',
    ];

    protected $casts = [
        'elo' => 'float'
    ];
}