<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->foreignId('server_id')->nullable()->references('id')->on('servers');
            $table->string("server_token")->nullable()->unique();
            $table->enum('server_state', ['connecting', 'connected', 'offline'])->default('offline');
            $table->dateTime("email_verified_at")->nullable()->default(null);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('server_id');
            $table->dropColumn("server_token");
            $table->dropColumn("server_state");
            $table->dropColumn("email_verified_at");
        });
    }
};
