<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('servers', function (Blueprint $table) {
            $table->dateTime("last_heartbeat_at")->nullable()->default(null);
            $table->boolean("online")->default(false);
            $table->ipAddress("ip")->nullable()->default(null);
            $table->integer("port")->nullable()->default(null);
            $table->string("pubkey", 1024)->nullable()->default(null);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('servers', function (Blueprint $table) {
            $table->dropColumn('last_heartbeat_at');
            $table->dropColumn('ip');
            $table->dropColumn('port');
            $table->dropColumn('online');
            $table->dropColumn('pubkey');
        });
    }
};
